float toPlanetMult = 10;
float toOriginMult = 0.2;

class GridPoint
{
  PVector origin, position;

  GridPoint(int x, int y)
  {
    origin = new PVector(x, y);
    position = new PVector(x, y);
  }

  void update(Planet[] planets)
  {
 
    for (int i = 0; i < planets.length; i++)
    {
      //Move towards targets[i]
      PVector toTarget = PVector.sub(planets[i].pos, position);
      float distToTarget = toTarget.mag();
      if (distToTarget > 0) toTarget.limit(min(planets[i].mass*toPlanetMult/distToTarget, distToTarget));
      position.add(toTarget);
    }
    
    update();
  }
  
  void update()
  {
    //Move towards origin
    PVector toOrigin = PVector.sub(origin, position);
    float distToOrigin = toOrigin.mag();
    toOrigin.limit(distToOrigin*toOriginMult);

    position.add(toOrigin);
  }
    
}







